
Infrastructure - Task #1607

Feature # 1605 (Closed): update implementations of 0.6.2 interfaces

implement 0.6.2 interfaces in metacat

2011-05-31 17:00 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone: None Story Points:  

Product Version: *   

Description

Related issues:

Blocked by Infrastructure - Task #1606: implement 0.6.2 interfaces in d1_libc... Closed

History

#1 - 2011-06-06 16:28 - Ben Leinfelder

- Assignee set to Ben Leinfelder

I'll take this for now - for CNCore.registerSystemMetadata

#2 - 2011-06-06 16:42 - Rob Nahf

- Category set to Metacat

- Subject changed from implement new tiered interfaces in metacat to implement 0.6.2 interfaces in metacat

#3 - 2011-06-21 18:33 - Ben Leinfelder

- Assignee changed from Ben Leinfelder to Chris Jones

- Status changed from New to In Progress

[new 0.6.2] Metacat impl structure

abstract class MNBase {}

MNCoreImpl extends MNBase implements MNCore

MNReadImpl extends MNBase implements MNRead

MNAuthorizationImpl extends MNBase implements MNAuthorization

MNStorageImpl extends MNBase implements MNStorage

MNReplicationImpl extends MNBase implements MNReplication

abstract class CNBase {}

CNCoreImpl extends CNBase implements CNCore

-partial Metacat implementation

CNReadImpl extends CNBase implements CNRead

-all Metacat?

CNAuthorizationImpl extends CNBase implements CNAuthorization

-all Metacat (sysMeta)

**CNIdentityImpl extends CNBase implements CNIdentity

-implemented outside of Metacat

**CNRegisterImpl extends CNBase implements CNRegister

-implemented  outside Metacat

CNReplicationImpl extends CNBase implements CNReplication

-proxies to Metacat

many existing methods in CrudService refactored to MNBase

sysMeta-related methods in IdentityManager moved to SystemMetadataManager

similar CN and MN methods will reuse classes/methods for that shared function (e.g.,
SystemMetadataManager.getInstance().getSystemMetadata()) rather than sharing the root of a class hierarchy for shared methods. We want to

keep the distinction between CN and MN stacks very clear at least in the class hierarchy.

refactor ResourceHandler to minimize duplicate code when handling the REST calls

Metacat won't implement CNIdentity, CNRegister

#4 - 2011-08-24 15:42 - Chris Jones

- Milestone set to None

- Status changed from In Progress to Closed
